## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         upstreamname  bats-core

Name:           bats
Version:        1.10.0
Release:        %autorelease
Summary:        Bash Automated Testing System

License:        MIT
URL:            https://github.com/%{upstreamname}/%{upstreamname}
Source:        https://github.com/%{upstreamname}/%{upstreamname}/archive/v%{version}.tar.gz#/%{upstreamname}-%{version}.tar.gz

BuildArch:      noarch

Requires:       bash
Requires:       parallel
BuildRequires:  parallel
BuildRequires:  procps-ng

%description
Bats is a TAP-compliant testing framework for Bash. It provides a simple way to
verify that the UNIX programs you write behave as expected. Bats is most useful
when testing software written in Bash, but you can use it to test any UNIX
program.

%prep
%autosetup -n %{upstreamname}-%{version} -p1

%install
./install.sh ${RPM_BUILD_ROOT}%{_prefix}

%check
./bin/bats test

%files
%doc AUTHORS README.md docs/CHANGELOG.md
%license LICENSE.md
%{_bindir}/%{name}
%{_libexecdir}/%{upstreamname}
%{_prefix}/lib/%{upstreamname}
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man7/%{name}.7.gz

%changelog
## START: Generated by rpmautospec
* Tue Jan 23 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jul 16 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.10.0-1
- Update to 1.10.0 - Closes rhbz#2223171

* Mon Feb 13 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.9.0-1
- Update to 1.9.0 - Closes rhbz#2169259

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Oct 22 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.8.2-1
- Update to 1.8.2 - Closes rhbz#2136940

* Tue Oct 11 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.8.0-2
- Fix build with bash-5.2

* Fri Sep 16 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.8.0-1
- Update to 1.8.0 - Closes rhbz#2127316

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat May 14 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.7.0-1
- Update to 1.7.0 - Closes rhbz#2086165

* Fri Feb 25 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.6.0-1
- Update to 1.6.0 - Closes rhbz#2058473

* Fri Feb 25 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.5.0-4
- Update to 1.6.0 - Closes rhbz#2058473

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Oct 22 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.5.0-1
- Update to 1.5.0 (BZ 2016700)

* Sat Sep 18 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.4.1-1
- Update to 1.4.1 (BZ 1985582)
- Fix some spec warnings
- Add rpmlintrc to avoid hardcoded-library-path error

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Mar 19 2021 Ondřej Míchal <harrymichal@seznam.cz> - 1.3.0-1
- Update to 1.3.0
- new build dependency - procps-ng (needed for testing)
- adjust test file name - parallell.bats -> parallel.bats

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Aug 10 2020 Ondřej Míchal <harrymichal@seznam.cz> - 1.2.1-1
- Update to 1.2.1
- new dependency - GNU Parallel
- new upstream test in %%check - parallel.bats
- remove the sed in %%prep because shebang mangling is done automatically
- change the URL for Source0 so that it does not rely on hardcoded commit

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Nov 02 2018 Piotr Popieluch <piotr1212@gmail.com> - 1.1.0-1
- Change upstream to bats-core
- Update to 1.1.0

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-8.20160219git0360811
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-7.20160219git0360811
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-6.20160219git0360811
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-5.20160219git0360811
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Sep 05 2016 Piotr Popieluch <piotr1212@gmail.com> - 0.4.0-4.20160219git0360811
- Update to latest git snapshot
- Enable tests
- Remove obsoleted el5 macros
- Move license to %%license
- Add (empty) %%build section
- Add CONDUCT.md to %%doc
- Set correct interpreter in scripts

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-3.20141016git3b33a5a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2.20141016git3b33a5a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jan 21 2015 François Cami <fcami@redhat.com> - 0.4.0-1.20141016git3b33a5a
- First package version.

## END: Generated by rpmautospec
